PdfStream (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.pdf
Class PdfStream

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.pdf.PdfObject
          edu.harvard.hul.ois.jhove.module.pdf.PdfStream

    public class PdfStream

extends PdfObject

A representation of a PDF stream object. A PdfStream consists of a dictionary and a stream token. By default the content of the stream isn't loaded, but it can be loaded when necessary.

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.module.pdf.PdfObject
`_genNumber, _objNumber`

Constructor Summary
`PdfStream(PdfDictionary dict, Stream stream)` Creates a PdfStream.
`PdfStream(PdfDictionary dict, Stream stream, int objNumber, int genNumber)` Creates a PdfStream

Method Summary
`PdfDictionary` | `getDict()` Returns the stream's dictionary
`java.lang.String` | `getFileSpecification()` If the stream is external, returns the file specification for it, otherwise returns null.
`java.lang.String` | `getFilterName()` Return the name of the filter, if the DecodeParams dictionary is present and has a "Name" entry.
`Filter[]` | `getFilters()` Returns an array (possibly empty but not null) of the filters for this Stream.
`Stream` | `getStream()` Returns the stream's Stream portion
`boolean` | `isImage()` Returns `true` if this is an image stream.
`boolean` | `isPdfaCompliant()` Returns true if no PDF/A compliance problems have been found, false if problems have been found
`protected java.util.List` | `makeFilterList()`

Methods inherited from class edu.harvard.hul.ois.jhove.module.pdf.PdfObject
`getGenNumber, getObjNumber, setGenNumber, setObjNumber`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PdfStream

    public PdfStream(PdfDictionary dict,
                     Stream stream,
                     int objNumber,
                     int genNumber)
              throws PdfException

  Creates a PdfStream

  Parameters:
    `dict` - A dictionary describing the stream
    `stream` - A Stream token
    `objNumber` - The PDF object number
    `genNumber` - The PDF generation number
  Throws:
    `PdfException`

### PdfStream

    public PdfStream(PdfDictionary dict,
                     Stream stream)
              throws PdfException

  Creates a PdfStream.

  Parameters:
    `dict` - A dictionary describing the stream
    `stream` - A Stream token
  Throws:
    `PdfException`

Method Detail

### getDict

    public PdfDictionary getDict()

  Returns the stream's dictionary

### getStream

    public Stream getStream()

  Returns the stream's Stream portion

### getFileSpecification

    public java.lang.String getFileSpecification()

  If the stream is external, returns the file specification for it, otherwise returns null.

### isPdfaCompliant

    public boolean isPdfaCompliant()

  Returns true if no PDF/A compliance problems have been found, false if problems have been found

### getFilters

    public Filter[] getFilters()
                        throws PdfException

  Returns an array (possibly empty but not null) of the filters for this Stream. The elements of the array are Filter objects.

  Throws:
    `PdfException`

### getFilterName

    public java.lang.String getFilterName()

  Return the name of the filter, if the DecodeParams dictionary is present and has a "Name" entry.

### makeFilterList

    protected java.util.List makeFilterList()
                                     throws PdfException

  Throws:
    `PdfException`

### isImage

    public boolean isImage()

  Returns `true` if this is an image stream.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD